Subject: AIX 3.2 Pine 3.91 Problems partly solved

From: Joshua Hosseinoff <[email-masked]>
Date: Wed, 9 Nov 1994 14:45:54 -0500

Since Pine 3.85 I have had trouble running PINE with curses linked in on 
various terminal types we have here.  Specifically Pine would somehow 
manage to change the baud rate of the tty or just lock up the terminal 
entirely as soon as the user went into Compose (but not the mail Index).

Basically the way to fix it is to comment out "#define POSIX_SIGNALS" in os.h

It doesn't seem to have any adverse reactions and curses now works, 
instead of having to use termcap.

I have noticed another problem concerning interrupted messages which at 
least two users have encountered but I have not been able to duplicate.
The users somehow have a file in their home directory called 
.pine-interrupted-mail containing 0 bytes, and a second file called 
.pine-interrupted-mail.lock also containing 0 bytes.  When they try to 
continue these interrupted messages they get kicked out of Pine with the 
message Pine Bug detected or something similar to that.
When I try it by creating those files in my home dir with 0 bytes, i 
don't get pine bug detected but it does tell me that it can't delete that 
folder.  I don't know how they managed to get .pine-interrupted-mail with 
0 bytes but it does happen I guess.  

Josh Hosseinoff
[email-masked]